package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class MusicGroupOrganizationCourseSettings {
    @ApiModelProperty(value="")
    private Integer id;

    /**
    * 课程名称
    */
    @ApiModelProperty(value="收费名称")
    private String name;

    /**
    * 分部
    */
    @ApiModelProperty(value="分部")
    private Integer organId;

    /**
    * 收费模式
    */
    @ApiModelProperty(value="收费模式")
    private Integer chargeTypeId;

    /**
    * 总价
    */
    @ApiModelProperty(value="总价")
    private BigDecimal totalCurrentPrice = BigDecimal.ZERO;

    /**
    * 原价
    */
    @ApiModelProperty(value="原价")
    private BigDecimal totalOriginalPrice = BigDecimal.ZERO;

    @ApiModelProperty(value="")
    private Date createTime;

    @ApiModelProperty(value="")
    private Date updateTime;


    private List<MusicGroupOrganizationCourseSettingsDetail> details;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getChargeTypeId() {
        return chargeTypeId;
    }

    public void setChargeTypeId(Integer chargeTypeId) {
        this.chargeTypeId = chargeTypeId;
    }

    public BigDecimal getTotalCurrentPrice() {
        return totalCurrentPrice;
    }

    public void setTotalCurrentPrice(BigDecimal totalCurrentPrice) {
        this.totalCurrentPrice = totalCurrentPrice;
    }

    public BigDecimal getTotalOriginalPrice() {
        return totalOriginalPrice;
    }

    public void setTotalOriginalPrice(BigDecimal totalOriginalPrice) {
        this.totalOriginalPrice = totalOriginalPrice;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<MusicGroupOrganizationCourseSettingsDetail> getDetails() {
        return details;
    }

    public void setDetails(List<MusicGroupOrganizationCourseSettingsDetail> details) {
        this.details = details;
    }
}